************
Installation
************


There are 2 ways to install MsSpec. You can either:
	- Use a Docker image
	- Compile your own version


Using a Docker image
--------------------

You first need Docker (Docker Desktop) to be installed on your system. 
This is really straightforward. Please see the `Docker website 
<https://www.docker.com>`_ for more information.

You the need to load the MsSpec Docker image. For this step you can either:

- download the image (a \*.tar.gz file) from the 
  `MsSpec website <https://msspec.cnrs.fr>`_ 
  and then load it into Docker
  ::
	docker load < msspec_latest.tar.gz


- pull the image from our repository:
  ::
	docker pull msspec:latest

That's all. MsSpec is installed. Now the command to launch the MsSpec environment depends slighly on the
OS you are runing:

- For Linux
  ::
	xhost +
	docker run --rm -it -e DISPLAY=$DISPLAY --net=host -v msspec_data:/home/msspec/data msspec

- For Windows
  ::
	docker run --rm -it -e DISPLAY=host.internal.display:0 -v msspec_data:/home/msspec/data msspec


Compile your own version
------------------------

To install MsSpec this way, follow the instructions `here <https://git.ipr.univ-rennes1.fr/epsi/msspec_python3/src/branch/devel>`_
